Package com.sun.jna.platform.win32

## Class WinUser.WNDCLASSEX

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.WNDCLASSEX

Direct Known Subclasses:
  `WinUser.WNDCLASSEX.ByReference`

Enclosing interface:
  WinUser

    @FieldOrder({"cbSize","style","lpfnWndProc","cbClsExtra","cbWndExtra","hInstance","hIcon","hCursor","hbrBackground","lpszMenuName","lpszClassName","hIconSm"})
    public static class WinUser.WNDCLASSEX
    extends Structure

Contains window class information. It is used with the RegisterClassEx and GetClassInfoEx functions. The WNDCLASSEX structure is similar to the WNDCLASS structure. There are two differences. WNDCLASSEX includes the cbSize member, which specifies the size of the structure, and the hIconSm member, which contains a handle to a small icon associated with the window class.

### Nested Class Summary

Nested Classes
`static class` `WinUser.WNDCLASSEX.ByReference` The Class ByReference.

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbClsExtra` The cb cls extra.
`int` `cbSize` The cb size.
`int` `cbWndExtra` The cb wnd extra.
`WinDef.HBRUSH` `hbrBackground` The hbr background.
`WinDef.HCURSOR` `hCursor` The h cursor.
`WinDef.HICON` `hIcon` The h icon.
`WinDef.HICON` `hIconSm` The h icon sm.
`WinDef.HINSTANCE` `hInstance` The h instance.
`Callback` `lpfnWndProc` The lpfn wnd proc.
`java.lang.String` `lpszClassName` The lpsz class name.
`java.lang.String` `lpszMenuName` The lpsz menu name.
`int` `style` The style.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`WNDCLASSEX()` Instantiates a new wndclassex.
`WNDCLASSEX​(Pointer memory)` Instantiates a new wndclassex.

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbSize

    public int cbSize

The cb size.

#### style

    public int style

The style.

#### lpfnWndProc

    public Callback lpfnWndProc

The lpfn wnd proc.

#### cbClsExtra

    public int cbClsExtra

The cb cls extra.

#### cbWndExtra

    public int cbWndExtra

The cb wnd extra.

#### hInstance

    public WinDef.HINSTANCE hInstance

The h instance.

#### hIcon

    public WinDef.HICON hIcon

The h icon.

#### hCursor

    public WinDef.HCURSOR hCursor

The h cursor.

#### hbrBackground

    public WinDef.HBRUSH hbrBackground

The hbr background.

#### lpszMenuName

    public java.lang.String lpszMenuName

The lpsz menu name.

#### lpszClassName

    public java.lang.String lpszClassName

The lpsz class name.

#### hIconSm

    public WinDef.HICON hIconSm

The h icon sm.

### Constructor Detail

#### WNDCLASSEX

    public WNDCLASSEX()

Instantiates a new wndclassex.

#### WNDCLASSEX

    public WNDCLASSEX​(Pointer memory)

Instantiates a new wndclassex.

Parameters:
  `memory` - the memory